Package org.zkoss.math

## Class BigIntegers

- java.lang.Object
- - org.zkoss.math.BigIntegers

-     public class BigIntegers
      extends java.lang.Object

  BigInteger utilities.
  Author:
    tomyeh

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.math.BigInteger` | `ZERO` | Represents 0 in big integer.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BigIntegers()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.math.BigInteger` | `toBigInteger​(byte v)` | Converts a byte to a big integer.
    `static java.math.BigInteger` | `toBigInteger​(int v)` | Converts an integer to a big integer.
    `static java.math.BigInteger` | `toBigInteger​(long v)` | Converts a long to a big integer.
    `static java.math.BigInteger` | `toBigInteger​(short v)` | Converts a short to a big integer.
    `static java.math.BigInteger` | `toBigInteger​(java.lang.Byte v)` | Converts a byte to a big integer.
    `static java.math.BigInteger` | `toBigInteger​(java.lang.Integer v)` | Converts an integer to a big integer.
    `static java.math.BigInteger` | `toBigInteger​(java.lang.Long v)` | Converts a long to a big integer.
    `static java.math.BigInteger` | `toBigInteger​(java.lang.Short v)` | Converts a short to a big integer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ZERO

          public static final java.math.BigInteger ZERO

      Represents 0 in big integer.

  - ### Constructor Detail

    - #### BigIntegers

          public BigIntegers()

  - ### Method Detail

    - #### toBigInteger

          public static final java.math.BigInteger toBigInteger​(int v)

      Converts an integer to a big integer.

    - #### toBigInteger

          public static final java.math.BigInteger toBigInteger​(long v)

      Converts a long to a big integer.

    - #### toBigInteger

          public static final java.math.BigInteger toBigInteger​(short v)

      Converts a short to a big integer.

    - #### toBigInteger

          public static final java.math.BigInteger toBigInteger​(byte v)

      Converts a byte to a big integer.

    - #### toBigInteger

          public static final java.math.BigInteger toBigInteger​(java.lang.Integer v)

      Converts an integer to a big integer.

    - #### toBigInteger

          public static final java.math.BigInteger toBigInteger​(java.lang.Long v)

      Converts a long to a big integer.

    - #### toBigInteger

          public static final java.math.BigInteger toBigInteger​(java.lang.Short v)

      Converts a short to a big integer.

    - #### toBigInteger

          public static final java.math.BigInteger toBigInteger​(java.lang.Byte v)

      Converts a byte to a big integer.